/playstore-manifests-patch-one¶
Summary¶
Source repository:
jef-systems/jef-playstore-backendSource SHA:
8362d928bec76f064d50a2831fb756989c62c20dSource run id:
26309631528Lambda function:
jef-playstore-manifests-patch-oneHTTP method:
PATCHAPI path:
/playstore-manifests-patch-oneEndpoint URL:
https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-patch-onePayload mode:
json-body
Description¶
Function: jef-playstore-manifests-patch-oneModule: jef-playstore-manifestsAction: patch-oneMethod: PATCHInvocation Mode: ASYNCResource Path: /playstore-manifests-patch-oneTable: jef-playstore-manifestsPrimary Key: manifest_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
manifest\_id: 60378ef2-9613-4597-8227-8503692b3cdcname: Main Depot Appslug: value-001version: 1.0.0package\_name: com.jef.jefplaystoremanifests001scheme: jef-jef-playstore-manifests-001icon: Sample text 001download\_url: Sample text 001apk\_sha256: dc3ce111856bc05195961c0ed2b2023e9811c3c229b19acdde68ff0adb667b69minimum\_supported\_version: 1.0.0is\_active: Trueidempotency\_key: value_00created\_at: 2026-05-22T20:04:32Zupdated\_at: 2026-05-22T20:04:32Zupdated\_at\_humanized: Sample text 001
Payload Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.manifest_id.type": "S",
"root.attributes.manifest_id.required": "True",
"root.attributes.manifest_id.format": "uuidv4",
"root.attributes.manifest_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
"root.attributes.name.type": "S",
"root.attributes.name.required": "False",
"root.attributes.name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$",
"root.attributes.slug.type": "S",
"root.attributes.slug.required": "False",
"root.attributes.slug.regex": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
"root.attributes.version.type": "S",
"root.attributes.version.required": "False",
"root.attributes.version.regex": "^[0-9]+[.][0-9]+[.][0-9]+$",
"root.attributes.package_name.type": "S",
"root.attributes.package_name.required": "False",
"root.attributes.package_name.regex": "^[a-zA-Z][a-zA-Z0-9_]*(?:[.][a-zA-Z][a-zA-Z0-9_]*){1,}$",
"root.attributes.scheme.type": "S",
"root.attributes.scheme.required": "False",
"root.attributes.scheme.regex": "^[a-z][a-z0-9+.-]{1,80}$",
"root.attributes.icon.type": "S",
"root.attributes.icon.required": "False",
"root.attributes.icon.regex": "^.{0,500}$",
"root.attributes.download_url.type": "S",
"root.attributes.download_url.required": "False",
"root.attributes.download_url.regex": "^.{0,1000}$",
"root.attributes.apk_sha256.type": "S",
"root.attributes.apk_sha256.required": "False",
"root.attributes.apk_sha256.regex": "^[A-Fa-f0-9]{64}$",
"root.attributes.minimum_supported_version.type": "S",
"root.attributes.minimum_supported_version.required": "False",
"root.attributes.minimum_supported_version.regex": "^[0-9]+[.][0-9]+[.][0-9]+$",
"root.attributes.is_active.type": "BOOL",
"root.attributes.is_active.required": "False",
"root.attributes.is_active.regex": "^(true|false)$",
"root.attributes.idempotency_key.type": "S",
"root.attributes.idempotency_key.required": "False",
"root.attributes.idempotency_key.regex": "^[A-Za-z0-9._:-]{1,160}$",
"root.attributes.created_at.type": "S",
"root.attributes.created_at.required": "False",
"root.attributes.created_at.format": "iso8601",
"root.attributes.created_at.regex": "^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$",
"root.attributes.updated_at.type": "S",
"root.attributes.updated_at.required": "False",
"root.attributes.updated_at.format": "iso8601",
"root.attributes.updated_at.regex": "^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$",
"root.attributes.updated_at_humanized.type": "S",
"root.attributes.updated_at_humanized.required": "False",
"root.attributes.updated_at_humanized.regex": "^.{0,80}$"
}
Response Schema¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
Request Payload¶
{
"manifest_id": "60378ef2-9613-4597-8227-8503692b3cdc",
"name": "Main Depot App",
"slug": "value-001",
"version": "1.0.0",
"package_name": "com.jef.jefplaystoremanifests001",
"scheme": "jef-jef-playstore-manifests-001",
"icon": "Sample text 001",
"download_url": "Sample text 001",
"apk_sha256": "dc3ce111856bc05195961c0ed2b2023e9811c3c229b19acdde68ff0adb667b69",
"minimum_supported_version": "1.0.0",
"is_active": "True",
"idempotency_key": "value_00",
"created_at": "2026-05-22T20:04:32Z",
"updated_at": "2026-05-22T20:04:32Z",
"updated_at_humanized": "Sample text 001"
}
Response¶
{
"root.type": "M",
"root.required": "True",
"root.attributes.is_accepted.type": "BOOL",
"root.attributes.is_accepted.required": "True",
"root.attributes.message.type": "S",
"root.attributes.message.required": "True",
"root.attributes.request_id.type": "S",
"root.attributes.request_id.required": "False"
}
CMD curl¶
curl -X PATCH "https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-patch-one" -H "Content-Type: application/json" --data-raw "{\"manifest_id\": \"60378ef2-9613-4597-8227-8503692b3cdc\", \"name\": \"Main Depot App\", \"slug\": \"value-001\", \"version\": \"1.0.0\", \"package_name\": \"com.jef.jefplaystoremanifests001\", \"scheme\": \"jef-jef-playstore-manifests-001\", \"icon\": \"Sample text 001\", \"download_url\": \"Sample text 001\", \"apk_sha256\": \"dc3ce111856bc05195961c0ed2b2023e9811c3c229b19acdde68ff0adb667b69\", \"minimum_supported_version\": \"1.0.0\", \"is_active\": true, \"idempotency_key\": \"value_00\", \"created_at\": \"2026-05-22T20:04:32Z\", \"updated_at\": \"2026-05-22T20:04:32Z\", \"updated_at_humanized\": \"Sample text 001\"}"
PowerShell curl¶
curl.exe -X PATCH "https://eap7fngbzi.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifests-patch-one" -H "Content-Type: application/json" --data-raw '{"manifest_id": "60378ef2-9613-4597-8227-8503692b3cdc", "name": "Main Depot App", "slug": "value-001", "version": "1.0.0", "package_name": "com.jef.jefplaystoremanifests001", "scheme": "jef-jef-playstore-manifests-001", "icon": "Sample text 001", "download_url": "Sample text 001", "apk_sha256": "dc3ce111856bc05195961c0ed2b2023e9811c3c229b19acdde68ff0adb667b69", "minimum_supported_version": "1.0.0", "is_active": true, "idempotency_key": "value_00", "created_at": "2026-05-22T20:04:32Z", "updated_at": "2026-05-22T20:04:32Z", "updated_at_humanized": "Sample text 001"}'